%define		_status		stable
%define		_pearname	XML_Feed_Parser
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - unified API for handling RSS and ATOM feeds
Summary(pl.UTF-8):	%{_pearname} - zunifikowane API do obsługi źródeł RSS i ATOM
Name:		php-pear-%{_pearname}
Version:	1.0.5
Release:	3
License:	PHP License
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	8a8a0113a4ecd4d9dd6a6f4ecaa5f0d5
URL:		http://pear.php.net/package/XML_Feed_Parser/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 5.0
Requires:	php(xml)
Requires:	php-pear
Requires:	php-pear-Log
Suggests:	php-tidy
Obsoletes:	php-pear-XML_Feed_Parser-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# files not distributed (bug reported)
%define _noautoreq pear(XML/Feed/Parser/RSS11.php) pear(XML/Feed/Parser/RSS11Element.php)

%description
XML_Feed_Parser is a parser for (the various) RSS and ATOM format XML
feeds. It attempts to provide a somewhat unified API while still
allowing access to the full details of each feed type.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
XML_Feed_Parser jest parserem dla (różnych) formatów XML źródeł RSS i
ATOM. Klasa ta stara się dostarczyć zunifikowanego API przy
jednoczesnej możliwości dostępu do pełnych informacji dotyczących
każdego źródła.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

mv ./%{php_pear_dir}/tests/%{_pearname}/{tests/*,}
rmdir ./%{php_pear_dir}/tests/%{_pearname}/tests

mv .%{php_pear_dir}/data/XML_Feed_Parser/samples examples

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_pear_dir},%{_examplesdir}/%{name}-%{version}}
%pear_package_install

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/XML/Feed
%{php_pear_dir}/data/XML_Feed_Parser

%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> 32a5d49
- use php(core) for php engine version deps
- release 2 (by relup.sh)

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 1026f5c
- use virtual php extension deps (to be independant of php version)
- release 2 (by relup.sh)

* Mon Mar 26 2012 Elan Ruusamäe <glen@pld-linux.org> 1792a46
- updated to: 1.0.5

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> 4f1ee13
- release 2

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 04d5b84
- dropped -tests subpackage

* Tue Nov 16 2010 Elan Ruusamäe <glen@pld-linux.org> 63e854c
- updated to: 1.0.4

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 9e1d797
- updated deps with pearize.sh
- release 3

* Thu Aug 19 2010 Elan Ruusamäe <glen@pld-linux.org> f8f55db
- fix packaging; suggests tidy ext; rel 2

* Sat Dec 27 2008 Adam Gołębiowski <adamg@pld-linux.org> eca52bd
- updated to 1.0.3

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 46eb133
- rel 3

* Mon Nov 12 2007 Elan Ruusamäe <glen@pld-linux.org> 3a2f20c
- requires php5; rel 2

* Thu Jul 05 2007 Elan Ruusamäe <glen@pld-linux.org> 72c15a2
- updated to 1.0.2

* Wed Feb 28 2007 Elan Ruusamäe <glen@pld-linux.org> 03041d8
- 1.0.1

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 8e90450
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 13b3819
- converted to UTF-8

* Sat Dec 30 2006 Adam Gołębiowski <adamg@pld-linux.org> 49c8ba6
- obsolete

* Sat Dec 30 2006 Adam Gołębiowski <adamg@pld-linux.org> 6070839
- updated to 1.0.0

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> bc56ede
- BR rpm-build macros >= 1.300 for %pear_ macros

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> ecc0dec
- AutoProv: no for -tests

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 6b371fd
- BR php-pear-PEAR

